﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication64
{
	public partial class WebForm1 : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!this.IsPostBack)
				LabelData.Text = DateTime.Now.ToString();
		}

		protected void ButtonPrzeslij_Click(object sender, EventArgs e)
		{
			//Witanie usera
			LabelImie.Text = "Witaj, " + TextBoxImie.Text + "!";

			//Obsluga radiobuttonow
			if (RadioButtonKobieta.Checked)
			{
				LabelPlec.Text = RadioButtonKobieta.Text;
			}
			else
			{
				LabelPlec.Text = RadioButtonMezczyzna.Text;
			}

			//Obsluga checkboxlisty
			string temp = "";
			foreach (ListItem item in CheckBoxList1.Items)
			{
				if (item.Selected)
					temp += item.Text + ", ";
			}
			LabelWino.Text = temp;

			//Obsluga dropdownlisty
			if (DropDownList1.SelectedItem != null)
			{
				LabelKolor.Text = DropDownList1.SelectedItem.Text;
			}

			//Przesylanie plikow
			if (FileUpload1.HasFile)
			{
				FileUpload1.SaveAs(Server.MapPath("~/obrazek.jpg"));
				Label1.Text = Server.MapPath("~/obrazek.jpg");
				Image1.ImageUrl = "/obrazek.jpg";
			}
		}
	}
}